Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.ioc.components
Class MultipleComponentDictionary

    java.lang.Object
      com.servingxml.ioc.components.MultipleComponentDictionary

All Implemented Interfaces:
  ComponentDictionary

    public class MultipleComponentDictionary

extends java.lang.Object
implements ComponentDictionary

Constructor Summary
`MultipleComponentDictionary(ComponentDictionary componentDictionary, ComponentDictionary tail)`

Method Summary
`AbstractComponent` | `getAbstractComponent(int nameSymbol)`
`ConfigurationComponent` | `getConfigurationComponent(int nameSymbol)`
`ServiceComponent` | `getDefaultServiceComponent()`
`java.lang.Class` | `getInterface(int nameSymbol)`
`ServiceComponent` | `getServiceComponent(int nameSymbol)`
`void` | `printDiagnostics(java.io.PrintStream printStream, NameTable nameTable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultipleComponentDictionary

    public MultipleComponentDictionary(ComponentDictionary componentDictionary,
                                       ComponentDictionary tail)

Method Detail

### getAbstractComponent

    public AbstractComponent getAbstractComponent(int nameSymbol)

  Specified by:
    `getAbstractComponent` in interface `ComponentDictionary`

### getServiceComponent

    public ServiceComponent getServiceComponent(int nameSymbol)

  Specified by:
    `getServiceComponent` in interface `ComponentDictionary`

### getDefaultServiceComponent

    public ServiceComponent getDefaultServiceComponent()

  Specified by:
    `getDefaultServiceComponent` in interface `ComponentDictionary`

### getConfigurationComponent

    public ConfigurationComponent getConfigurationComponent(int nameSymbol)

  Specified by:
    `getConfigurationComponent` in interface `ComponentDictionary`

### getInterface

    public java.lang.Class getInterface(int nameSymbol)

  Specified by:
    `getInterface` in interface `ComponentDictionary`

### printDiagnostics

    public void printDiagnostics(java.io.PrintStream printStream,
                                 NameTable nameTable)

  Specified by:
    `printDiagnostics` in interface `ComponentDictionary`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD